VULKAN_HPP_NAMESPACE::DescriptorPool Class Reference

`#include <vulkan.hpp>`

## Public Member Functions

VULKAN_HPP_CONSTEXPR | DescriptorPool ()
VULKAN_HPP_CONSTEXPR | DescriptorPool (std::nullptr_t)
VULKAN_HPP_TYPESAFE_EXPLICIT | DescriptorPool (VkDescriptorPool descriptorPool)
DescriptorPool & | operator= (std::nullptr_t)
bool | operator== (DescriptorPool const &rhs) const
bool | operator!= (DescriptorPool const &rhs) const
bool | operator< (DescriptorPool const &rhs) const
VULKAN_HPP_TYPESAFE_EXPLICIT | operator VkDescriptorPool () const
| operator bool () const
bool | operator! () const

## Private Attributes

VkDescriptorPool | m_descriptorPool

## Detailed Description

Definition at line 3748 of file vulkan.hpp.

## Constructor & Destructor Documentation

## DescriptorPool() [1/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::DescriptorPool::DescriptorPool | ( |  | ) |

inline

Definition at line 3751 of file vulkan.hpp.

: m_descriptorPool(VK_NULL_HANDLE)
{}

## DescriptorPool() [2/3]

VULKAN_HPP_CONSTEXPR VULKAN_HPP_NAMESPACE::DescriptorPool::DescriptorPool | ( | std::nullptr_t |  | ) |

inline

Definition at line 3755 of file vulkan.hpp.

: m_descriptorPool(VK_NULL_HANDLE)
{}

## DescriptorPool() [3/3]

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::DescriptorPool::DescriptorPool | ( | VkDescriptorPool | descriptorPool | ) |

inline

Definition at line 3759 of file vulkan.hpp.

: m_descriptorPool( descriptorPool )
{}

## Member Function Documentation

## operator bool()

VULKAN_HPP_NAMESPACE::DescriptorPool::operator bool | ( |  | ) | const

inline explicit

Definition at line 3799 of file vulkan.hpp.

{
return m_descriptorPool != VK_NULL_HANDLE;
}

References m_descriptorPool, and VK_NULL_HANDLE.

## operator VkDescriptorPool()

VULKAN_HPP_TYPESAFE_EXPLICIT VULKAN_HPP_NAMESPACE::DescriptorPool::operator VkDescriptorPool | ( |  | ) | const

inline

Definition at line 3794 of file vulkan.hpp.

{
return m_descriptorPool;
}

References m_descriptorPool.

## operator!()

bool VULKAN_HPP_NAMESPACE::DescriptorPool::operator! | ( |  | ) | const

inline

Definition at line 3804 of file vulkan.hpp.

{
return m_descriptorPool == VK_NULL_HANDLE;
}

References m_descriptorPool, and VK_NULL_HANDLE.

## operator!=()

bool VULKAN_HPP_NAMESPACE::DescriptorPool::operator!= | ( | DescriptorPool const & | rhs | ) | const

inline

Definition at line 3782 of file vulkan.hpp.

{
return m_descriptorPool != rhs.m_descriptorPool;
}

References m_descriptorPool.

## operator<()

bool VULKAN_HPP_NAMESPACE::DescriptorPool::operator< | ( | DescriptorPool const & | rhs | ) | const

inline

Definition at line 3787 of file vulkan.hpp.

{
return m_descriptorPool < rhs.m_descriptorPool;
}

References m_descriptorPool.

## operator=()

DescriptorPool& VULKAN_HPP_NAMESPACE::DescriptorPool::operator= | ( | std::nullptr_t |  | ) |

inline

Definition at line 3771 of file vulkan.hpp.

{
m_descriptorPool = VK_NULL_HANDLE;
return *this;
}

References m_descriptorPool, and VK_NULL_HANDLE.

## operator==()

bool VULKAN_HPP_NAMESPACE::DescriptorPool::operator== | ( | DescriptorPool const & | rhs | ) | const

inline

Definition at line 3777 of file vulkan.hpp.

{
return m_descriptorPool == rhs.m_descriptorPool;
}

References m_descriptorPool.

## Field Documentation

## m_descriptorPool

VkDescriptorPool VULKAN_HPP_NAMESPACE::DescriptorPool::m_descriptorPool

private

Definition at line 3810 of file vulkan.hpp.

Referenced by operator bool(), operator VkDescriptorPool(), operator!(), operator!=(), operator<(), operator=(), and operator==().

The documentation for this class was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::DescriptorPool::m_descriptorPool
VkDescriptorPool m_descriptorPool
Definition: vulkan.hpp:3810
VK_NULL_HANDLE
#define VK_NULL_HANDLE
Definition: vulkan_core.h:49